package WechatServer

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/WechatServer"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /server/create WechatServer CreateServer
//
// Create server information | 创建Server
//
// Create server information | 创建Server
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ServerInfo
//
// Responses:
//  200: BaseMsgResp

func CreateServerHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ServerInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := WechatServer.NewCreateServerLogic(r.Context(), svcCtx)
		resp, err := l.CreateServer(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
